# Generated from hiera-eyaml-2.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hiera-eyaml

Name: rubygem-%{gem_name}
Version: 2.0.8
Release: 1%{?dist}
Summary: OpenSSL Encryption backend for Hiera
Group: Development/Languages
License: MIT
URL: http://github.com/TomPoulton/hiera-eyaml
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: rubygems-devel

Requires: ruby(rubygems)
Requires: rubygem(highline)
Requires: rubygem(trollop)

%if (0%{?fedora} > 15 || 0%{?rhel} >= 7)
BuildRequires: ruby(release) >= 1.8
Requires: ruby(release) >= 1.8
%else
BuildRequires: ruby(abi) >= 1.8
Requires: ruby(abi) >= 1.8
%endif

%description
Hiera backend for decrypting encrypted yaml properties.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

# If there were programs installed:
mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}

%files
%dir %{gem_instdir}
%{_bindir}/eyaml
%{gem_instdir}/lib
%{gem_instdir}/bin
%{gem_spec}
%{gem_instdir}/sublime_text/eyaml.syntax_definition.json
%{gem_instdir}/sublime_text/eyaml.sublime-package
%{gem_instdir}/tools/regem.sh
%exclude %{gem_cache}

%files doc
%defattr(-, root, root, -)
%{gem_instdir}/Rakefile
%{gem_instdir}/CHANGES.md
%{gem_instdir}/LICENSE.txt
%{gem_instdir}/PLUGINS.md
%{gem_instdir}/README.md
%{gem_instdir}/sublime_text/README.md
%{gem_instdir}/Gemfile*
%{gem_spec}
%{gem_instdir}/
%{gem_docdir}/*

%changelog
* Wed Jun 03 2015 Clint Savage <herlo@linuxfoundation.org> - 2.0.8-1
- Initial package
